Bug 457059 - Review Request: txt2tags - A document converter
Review Request: txt2tags - A document converter
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
noarch Linux
low Severity low
: ---
: ---
Assigned To: Kevin Fenzi
Fedora Extras Quality Assurance
:
: 457275 (view as bug list)
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-07-29 10:12 EDT by Adam Miller
Modified: 2009-01-11 12:24 EST (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-09-10 02:56:42 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
kevin: fedora‑review+
kevin: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Adam Miller 2008-07-29 10:12:04 EDT
SPEC URL: http://www.shsu.edu/~ajm023/txt2tags-2.5-1.fc9.src.rpm
SRPM URL: http://www.shsu.edu/~ajm023/txt2tags.spec

Description: Txt2tags is a document generator. It reads a text file with minimal
markup as **bold** and //italic// and converts it to many different formats.

This is technically my first package submission to fedora, I also have another
package being reviewed for EPEL. Bug #455925
Comment 1 Kevin Fenzi 2008-07-30 23:50:15 EDT
I'd be happy to review this. Look for a full review in a bit... 

Comment 2 Kevin Fenzi 2008-07-31 02:01:49 EDT
OK - Package meets naming and packaging guidelines
OK - Spec file matches base package name.
OK - Spec has consistant macro usage.
OK - Meets Packaging Guidelines.
See below - License
See below - License field in spec matches
OK - License file included in package
OK - Spec in American English
OK - Spec is legible.
OK - Sources match upstream md5sum:
e4d4553651b5be0711263378ca133c43  txt2tags-2.5.tgz
e4d4553651b5be0711263378ca133c43  txt2tags-2.5.tgz.rpm
See below - BuildRequires correct
OK - Spec handles locales/find_lang
OK - Package has %defattr and permissions on files is good.
OK - Package has a correct %clean section.
OK - Package has correct buildroot
OK - Package is code or permissible content.
OK - Packages %doc files don't affect runtime.
OK - Package has rm -rf RPM_BUILD_ROOT at top of %install

OK - Package compiles and builds on at least one arch.
OK - Package has no duplicate files in %files.
OK - Package doesn't own any directories other packages own.
OK - Package owns all the directories it creates.
See below - No rpmlint output.
OK - final provides and requires are sane.

SHOULD Items:

See below - Should build in mock.
OK - Should build on all supported archs
OK - Should function as described.
OK - Should have sane scriptlets.
OK - Should have dist tag
OK - Should package latest version

Issues:

1. The License tag here isn't right.
Take a look at the script at the top and the
http://fedoraproject.org/wiki/Licensing link in the wiki?

2. You seem to be missing a BuildRequires. It doesn't build here in mock.
I get:
/var/tmp/rpm-tmp.eTPqEv: line 41: msgfmt: command not found
fixing that I get:

3. rpmlint says:

txt2tags.noarch: E: wrong-script-interpreter
/usr/share/doc/txt2tags-2.5/samples/sample.mgp "/usr/X11R6/bin/mgp"

Is this even still used/shipped with xorg?

txt2tags.noarch: W: file-not-in-%lang /usr/share/man/zh/man1/txt2tags.1.gz

Is this not a translated man page? Perhaps it should be removed if not?

txt2tags.noarch: W: file-not-utf8 /usr/share/doc/txt2tags-2.5/extras/gvim-menu.vim
txt2tags.noarch: W: file-not-utf8 /usr/share/doc/txt2tags-2.5/extras/pagemaker.vim
txt2tags.noarch: W: file-not-utf8
/usr/share/doc/txt2tags-2.5/extras/txt2tags-mode.el
txt2tags.noarch: W: file-not-utf8 /usr/share/doc/txt2tags-2.5/extras/txt2tags.vim
txt2tags.noarch: W: file-not-utf8 /usr/share/doc/txt2tags-2.5/samples/sample.pm6
txt2tags.noarch: W: file-not-utf8 /usr/share/man/ca/man1/txt2tags.1.gz
txt2tags.noarch: W: file-not-utf8 /usr/share/man/es/man1/txt2tags.1.gz
txt2tags.noarch: W: file-not-utf8 /usr/share/man/fr/man1/txt2tags.1.gz
txt2tags.noarch: W: file-not-utf8 /usr/share/man/it/man1/txt2tags.1.gz
txt2tags.noarch: W: file-not-utf8 /usr/share/man/pt/man1/txt2tags.1.gz

These can probibly be ignored.
If they are dos format, you could convert them...

txt2tags.noarch: W: hidden-file-or-dir
/usr/share/doc/txt2tags-2.5/extras/._css-reference.txt
txt2tags.noarch: W: hidden-file-or-dir /usr/share/doc/txt2tags-2.5/extras/._ctags
txt2tags.noarch: W: hidden-file-or-dir /usr/share/doc/txt2tags-2.5/extras/._gensite
txt2tags.noarch: W: hidden-file-or-dir
/usr/share/doc/txt2tags-2.5/extras/._gvim-menu.vim
txt2tags.noarch: W: hidden-file-or-dir /usr/share/doc/txt2tags-2.5/extras/._nanorc
txt2tags.noarch: W: hidden-file-or-dir /usr/share/doc/txt2tags-2.5/extras/._README
txt2tags.noarch: W: hidden-file-or-dir
/usr/share/doc/txt2tags-2.5/extras/._txt2tags.php
txt2tags.noarch: W: hidden-file-or-dir
/usr/share/doc/txt2tags-2.5/extras/._txt2tagsrc
txt2tags.noarch: W: hidden-file-or-dir
/usr/share/doc/txt2tags-2.5/extras/._txt2tags.vim
txt2tags.noarch: W: hidden-file-or-dir
/usr/share/doc/txt2tags-2.5/samples/img/._t2tpowered-black.png
txt2tags.noarch: W: hidden-file-or-dir
/usr/share/doc/txt2tags-2.5/samples/._sample.t2t

Should be probibly ignored.

txt2tags.noarch: W: invalid-license GPL
txt2tags.src: W: invalid-license GPL

Will be fixed after license is fixed.

txt2tags.noarch: W: spurious-executable-perm
/usr/share/doc/txt2tags-2.5/extras/._gensite

Should be mode 644?

txt2tags.noarch: W: summary-ended-with-dot Summary: Converts text files to HTML,
XHTML, sgml, LaTeX, man...
txt2tags.src: W: summary-ended-with-dot Summary: Converts text files to HTML,
XHTML, sgml, LaTeX, man...

Might remove the ... and make it end in "and other formats" or something?

txt2tags.src:38: W: setup-not-quiet

Add -q to setup?

txt2tags.src: W: mixed-use-of-spaces-and-tabs (spaces: line 21, tab: line 1)

Can be ignored.

txt2tags.src: W: no-%build-section

You should have a build section, even if it's empty.
Comment 3 Kairo Francisco de Araujo 2008-07-31 09:55:44 EDT
*** Bug 457275 has been marked as a duplicate of this bug. ***
Comment 4 Adam Miller 2008-07-31 10:21:21 EDT
Kairo and I appear to have the same errors from rpmlint (referring to his bug
posting) this is something I will continue to look into and probably collaborate
with Kairo on)

I have updated the BuildRequires and License fields and built the package on my
machine and it was successful.

SRPM: http://www.shsu.edu/~ajm023/txt2tags-2.5-1.fc9.src.rpm
SPRC: http://www.shsu.edu/~ajm023/txt2tags.spec

Those are the current revision. I will look more into the other issues as soon
as I am able to sit down and comb over it.
Comment 5 Adam Miller 2008-08-01 15:38:48 EDT
The URLs that I posted last time are still valid, but I uploaded another update
that resolves all errors from rpmlint. The warnings will still be a work in
progress to get taken care of though.
Comment 6 Kevin Fenzi 2008-08-02 00:38:44 EDT
Please do increment your release version and add a changelog entry for changes,
even in reviews. It lets reviewers see what was changed and when and makes it
easier to make sure you have the most recent version for review. 

Issue 1 is solved. 
Issue 2 still seems to be there... it doesn't build in mock. You need to add a
BuildRequires on the package that has the msgfmt command in it. 

On rpmlint issues, good progress... most of the rest can be ignored, but there
are 2 easy ones you can solve: 

txt2tags.src:40: W: setup-not-quiet

Add -q to %setup macro.

txt2tags.src: W: no-%build-section

Add a empty %build section. 

Comment 7 Adam Miller 2008-08-05 10:54:47 EDT
Added the empty build section and changed the parameter for the %setup macro.

SRPM: http://www.shsu.edu/~ajm023/txt2tags-2.5-1.fc9.src.rpm
SPRC: http://www.shsu.edu/~ajm023/txt2tags.spec
Comment 8 Adam Miller 2008-08-11 17:02:05 EDT
SPEC URL: http://www.shsu.edu/~ajm023/txt2tags.spec 
SRPM URL: http://www.shsu.edu/~ajm023/txt2tags-2.5-2.fc9.src.rpm

Fixed the gettext (msgfmt) BuildRequirement (thanks nirik for pointing that one out)

Incremented the release number.
Comment 9 Kevin Fenzi 2008-08-11 17:53:02 EDT
ok, that one solves all the issues I see, so this package is APPROVED. 

I will sponsor you. You can continue the process from: 
http://fedoraproject.org/wiki/PackageMaintainers/Join#Get_a_Fedora_Account

Sorry again for all the delays.
Comment 10 Adam Miller 2008-08-12 17:11:08 EDT
New Package CVS Request
=======================
Package Name: txt2tags
Short Description: Converts text files to HTML, XHTML, LaTeX, and other formats
Owners: maxamillion
Branches: F-8 F-9
InitialCC: kevin
Cvsextras Commits: yes
Comment 11 Kevin Fenzi 2008-08-13 01:10:36 EDT
cvs done.
Comment 12 Fedora Update System 2008-08-22 12:26:33 EDT
txt2tags-2.5-2.fc8 has been submitted as an update for Fedora 8.
/updates/txt2tags-2.5-2.fc8
Comment 13 Fedora Update System 2008-08-22 12:26:37 EDT
txt2tags-2.5-2.fc9 has been submitted as an update for Fedora 9.
/updates/txt2tags-2.5-2.fc9
Comment 14 Fedora Update System 2008-09-10 02:56:39 EDT
txt2tags-2.5-2.fc9 has been pushed to the Fedora 9 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 15 Fedora Update System 2008-09-10 03:11:02 EDT
txt2tags-2.5-2.fc8 has been pushed to the Fedora 8 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 16 Adam Miller 2009-01-09 15:42:18 EST
Package Change Request
======================
Package Name: txt2tags
New Branches: EL-4 EL-5
Owners: maxamillion
Comment 17 Kevin Fenzi 2009-01-11 12:24:42 EST
cvs done.

Note You need to log in before you can comment on or make changes to this bug.